# ``igraph`.`drawing`.`DrawerDirectory``

class documentation

`class DrawerDirectory: (source)`

View In Hierarchy

Static class that finds the object/backend drawer

This directory is used by the __plot__ functions.

Class Method | `resolve` | Given a shape name, returns the corresponding shape drawer class
Class Variable | `known_drawers` | Undocumented
Class Variable | `valid_backends` | Undocumented
Class Variable | `valid_objects` | Undocumented

@classmethod
def resolve(cls, obj, backend): (source)

Given a shape name, returns the corresponding shape drawer class

Parameters
cls | the class to resolve
obj | an instance of the object to plot
backend | the name of the backend

Returns
the corresponding shape drawer class

Raises
`ValueError` | if no drawer is available for this backend/object

known_drawers = (source)

Undocumented

valid_backends: `tuple[str, ...]` = (source)

Undocumented

valid_objects: `tuple[str, ...]` = (source)

Undocumented